Grants, vesting & distributions

Create New Fireblocks Grant Wallet

Creates a Fireblocks vault account and asset wallet for a grant without wallets, then stores a GrantWallet.

POSThttps://api.toku.com/tga/create-new-fireblocks-grant-wallet

Not available to API keys yet. It will need wallets:write.

curl --request POST \
  --url 'https://api.toku.com/tga/create-new-fireblocks-grant-wallet' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "grantID": "string",
  "walletName": "string"
}'
200 response
{
  "success": true,
  "grantWallet": {
    "grantWalletID": "string",
    "grantID": "string",
    "roleInOrgID": "string",
    "type": "string",
    "address": "string",
    "networkID": "string",
    "walletLink": "string",
    "allocation": "string"
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

grantIDstringrequired
walletNamestringrequired

Response

200Successful response
successbooleanrequired
grantWalletobject | nullrequired
Show child attributes
grantWalletIDstringrequired
grantIDstringrequired
roleInOrgIDstringrequired
typestringrequired
addressstringrequired
networkIDstringrequired
walletLinkstring | nullrequired
allocationstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits